#include<bits/stdc++.h>
using namespace std;
pair<int, int> point[50001];
int arr[10000000];
int n,maxi=0, mini=10000000, br, in,maxa;
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(nullptr);
    cout.tie(nullptr);

    cin>>n;
    for(int i=0; i<n; i++)
    {
        cin>>point[i].first>>point[i].second;
        mini=min(mini,point[i].first);
        maxi=max(maxi,point[i].second);
    }
    for(int i=mini; i<=maxi; i++)
    {
        for(int j=0; j<n; j++)
        {
            if(point[j].first<=i and point[j].second>i) br++;
        }
        if(br>maxa)
        {
            maxa=br;
            in=0;
        }
        else if(br==maxa) in++;
        br=0;
    }
    cout<<maxa<<"\n"<<in+1<<"\n";
    return 0;
}